#!/usr/bin/env python
# -*- coding: utf-8 -*-

import pygtk
pygtk.require("2.0")
import gtk

class cambio_contrasena(gtk.Dialog):
    def __init__(self, parent=None):
        """
            Ventana para cambiar la contraseña del autorizado
        """
        super(cambio_contrasena, self).__init__(parent=parent)

        accelgroup = gtk.AccelGroup()
        key, modifier = gtk.accelerator_parse('Escape')
        accelgroup.connect_group(key, modifier, gtk.ACCEL_VISIBLE,\
                                 self.cb_response)
        self.add_accel_group(accelgroup)

        self.connect("response", self.cb_response)

        self.set_title("Autorización")
        self.set_modal(True)

        hbox1=gtk.HBox()
        label1=gtk.Label("Nueva contraseña:")
        self.t_pwd1=gtk.Entry()
        self.t_pwd1.set_visibility(False)
        self.t_pwd1.set_invisible_char("*")
        self.t_pwd1.connect("activate", self.enter_pulsado, gtk.RESPONSE_OK)
        hbox1.pack_start(label1, False, False, 5)
        hbox1.pack_start(self.t_pwd1, True, True, 5)

        hbox2=gtk.HBox()
        label2=gtk.Label("Confirmar:")
        self.t_pwd2=gtk.Entry()
        self.t_pwd2.set_visibility(False)
        self.t_pwd2.set_invisible_char("*")
        self.t_pwd2.connect("activate", self.enter_pulsado, gtk.RESPONSE_OK)
        hbox2.pack_start(label2, False, False, 5)
        hbox2.pack_start(self.t_pwd2, True, True, 5)

        self.add_buttons(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL, gtk.STOCK_OK,\
                         gtk.RESPONSE_OK)

        self.vbox.pack_start(hbox1, False, False, 5)
        self.vbox.pack_start(hbox2, False, False, 5)

        self.show_all()
        self.hide()

    def cb_response(self, id, *args):
        pass

    def enter_pulsado(self, widget, response):
        self.response(response)

    def iguales(self):
        return self.t_pwd1.get_text()==self.t_pwd2.get_text()

    def get_pass(self):
        res=None
        if self.iguales():
            res=self.t_pwd1.get_text()
        return res

if __name__== "__main__":
    p=cambio_contrasena()
    r=p.run()

    print p.get_pass()

