#/usr/bin/env python
# -*- coding: utf-8 -*-
from hashlib import sha512
from crypt import crypt
from cgaconfig import PWDFILE

class pwdManager:
    def __init__(self):
        self.pwd=self._read_pwd()
        #Carga el login introducido por teclado
#        print "PM - Cargado el pass:", self.pwd

    def _read_pwd(self):
        #Carga el login correcto
        return open(PWDFILE, "r").read().strip()

    def save(self):
        #graba el login
        open(PWDFILE, "w").write(self.pwd)

    def check(self, pwd):
        #Compara el login
        pwd2=self._crypt(pwd)
        return pwd2 == self.pwd or self._is_old_pwd(pwd)

    def _crypt(self, pwd):
        #Encripta el login
        return sha512(pwd).hexdigest()

    def _is_old_pwd(self, pwd):
        #Guarda el nuevo login
        return self.pwd==crypt(pwd, "/")

    def update(self, pwd):
        #desencripta el login
        self.pwd=self._crypt(pwd)

   


    


